/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model.local;

import org.vcs.bazaar.client.core.BranchLocation;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.core.model.IBzrMissingRevisions;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez
 *
 */
public interface IBzrLocalBranch extends IBzrBranch {

	IBzrMissingRevisions getMissing(IBzrBranch otherBranch) throws BazaarException;

	IBzrBranch getPushBranch();

	BranchLocation getPushLocation();
}
