package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.core.resources.IProject;
import org.eclipse.jface.action.IAction;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.ui.views.ConflictsView;

public class ShowConflictsAction extends WorkbenchAction {

	@Override
	protected void execute(IAction action) throws Exception {
		// Show View
		ConflictsView view = (ConflictsView) getActivePage().showView(ConflictsView.VIEW_ID);
		IProject[] projects = getEnclosingProjectsForSelectedResources();
		view.setInput(BzrWorkspaceRoot.getBranchFor(projects[0]));

	}

}
