package org.vcs.bazaar.eclipse.ui;

import org.eclipse.team.ui.history.IHistoryView;
import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.vcs.bazaar.eclipse.ui.repository.RepositoriesView;

public class BazaarRepositoriesPerspectiveFactory implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		// repositories on the left hand
		layout.addView(RepositoriesView.VIEW_ID, IPageLayout.LEFT, (float) 0.5, layout.getEditorArea());

		IFolderLayout bottom = layout.createFolder(
								"bottom", IPageLayout.BOTTOM, (float) 0.5, //$NON-NLS-1$
								layout.getEditorArea());
		bottom.addView(IPageLayout.ID_PROP_SHEET);
		bottom.addView(IHistoryView.VIEW_ID);

	}

}
