/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui.wizards;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.WizardPage;
import org.vcs.bazaar.eclipse.ui.UIIcons;

/**
 * This wizard page, by default set the bzr-eclipse logo in the titleImage.
 *
 * @author Guillermo Gonzalez <guillo.gonzo at gmail dot com>
 */
public abstract class BzrWizardPage extends WizardPage {

	public BzrWizardPage(String pageName, String title) {
		super(pageName, title, UIIcons.WIZBAN);
	}

	public BzrWizardPage(String pageName, String title, ImageDescriptor titleImage) {
		super(pageName, title, titleImage);
	}

}
